# WorkPlace
Automatically change settings when using a dock

## Setup Instructions
Install required tools:
```console
$ sudo apt update
$ sudo apt install grep gawk sed findutils procps usbutils libglib2.0-bin make gcc libx11-dev
```
```console
$ git clone https://github.com/ritave/xeventbind.git
$ cd xeventbind
$ make
$ sudo mv xeventbind /usr/local/bin/xeventbind
$ cd ..
```

Clone git repository:
```console
$ git clone https://git.tjdev.de/DrMaxNix/workplace.git
$ cd workplace
```

Add script to path:
```console
$ mkdir -p ~/.local/bin
$ ln -s $PWD/workplace $HOME/.local/bin/workplace
```

Create and edit config file:
```console
$ mkdir -p ~/.config
$ cp workplace.template.ini ~/.config/workplace.ini
$ nano ~/.config/workplace.ini
```

Autostart user daemon:
```console
$ mkdir -p ~/.config/autostart
$ cp workplace.desktop ~/.config/autostart/workplace.desktop
```

(Optional) sudo rules for `pam.fprintd`:
```console
$ sudo visudo
	user ALL=(root) NOPASSWD: /usr/sbin/pam-auth-update --enable fprintd
	user ALL=(root) NOPASSWD: /usr/sbin/pam-auth-update --disable fprintd
```
